classification
Title: Document collections.abc.ByteString
Type: Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, docs@python, gvanrossum, levkivskyi, python-dev, xiang.zhang
Priority: normal Keywords: patch

Created on 2016-04-05 18:39 by brett.cannon, last changed 2016-07-15 19:17 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
ByteString_doc.patch xiang.zhang, 2016-05-04 11:08 review
Messages (4)
msg262918 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-04-05 18:39
[typing.ByteString](https://docs.python.org/3.5/library/typing.html#typing.ByteString) references collections.abc.ByteString, but no such type is documented.
msg264803 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-05-04 11:08
Add collections.abc.ByteString's document.
msg270501 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-15 19:16
New changeset 8be87fde577f by Brett Cannon in branch '3.5':
Issue #26696: Document collections.abc.ByteString.
https://hg.python.org/cpython/rev/8be87fde577f

New changeset 6ba86ca875a8 by Brett Cannon in branch 'default':
Merge for #26696
https://hg.python.org/cpython/rev/6ba86ca875a8
msg270502 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-07-15 19:17
Thanks for the patch, Xiang!
History
Date User Action Args
2016-07-15 19:17:11brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg270502

stage: needs patch -> resolved
2016-07-15 19:16:50python-devsetnosy: + python-dev
messages: + msg270501
2016-06-30 21:55:39levkivskyisetnosy: + levkivskyi
2016-05-04 17:00:04brett.cannonsetassignee: docs@python -> brett.cannon
2016-05-04 11:08:46xiang.zhangsetfiles: + ByteString_doc.patch
keywords: + patch
messages: + msg264803
2016-05-03 16:59:32xiang.zhangsetnosy: + xiang.zhang
2016-04-05 18:39:12brett.cannonsetassignee: docs@python

components: + Documentation, - Library (Lib)
nosy: + docs@python
2016-04-05 18:39:04brett.cannoncreate